Skip to main content
`Ctrl`+`K`

# PetscObjectContainerQuery

Accesses the pointer in a container composed to a `PetscObject` with `PetscObjectContainerCompose()`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectContainerQuery(PetscObject obj, const char *name, PeCtx pointer)

Collective

## Input Parameters

- obj - the `PetscObject`

- name - the name for the composed container

## Output Parameter

- pointer - the pointer to the data

## See Also

`PetscContainerCreate()`, `PetscContainerDestroy()`, `PetscContainerSetPointer()`, `PetscContainerGetPointer()`, `PetscObjectCompose()`, `PetscObjectQuery()`, `PetscContainerSetCtxDestroy()`, `PetscObject`, `PetscObjectContainerCompose()`

## Level

advanced

## Location

src/sys/objects/inherit.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages